import 'menu.dart';

class Category {
  final String id;
  final String name;
  List<Menu> menu;

  Category({required this.id, required this.name, this.menu = const []});

  factory Category.createCategory(Map<String, dynamic> json) {
    return Category(
      id: json['id'],
      name: json['name'],
      menu: json['menu'],
    );
  }
}
